#!/usr/bin/perl
## Initialize Rose::DB code given the DB structure

use Rose::DB;
use Rose::DB::Object::Loader;
use Getopt::Long;

my %options;
unless (&GetOptions(\%options, 'database=s')) {
    die "Unknown options.";
}

my $dbname = $options{'database'} || 'idp_account_manager';

$loader = 
    Rose::DB::Object::Loader->new(
        db_dsn       => "dbi:mysql:dbname=$dbname;host=localhost",
        db_username  => 'idpadmin',
        db_password  => 'PQur;m9#I[',
        db_options   => { AutoCommit => 1, ChopBlanks => 1 },
        class_prefix => 'IdPAccountManager::Data',
        #with_unique_keys => 0,
        );

$loader->make_modules(with_managers => 1,
                      module_dir => '/tmp',
                      #with_relationships => ['one to many','many to one']
    );
